<?php

namespace App\Controller;

use App\Entity\Repository\HeroRepository;
use FOS\RestBundle\Controller\Annotations as Rest;
use FOS\RestBundle\Controller\FOSRestController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

/**
 * @Rest\RouteResource("Hero")
 */
class HeroController extends FOSRestController
{
    protected $HeroRepository;
    
    public function __construct(HeroRepository $heroRepository)
    {
        $this->heroRepository = $heroRepository;
    }
    
    /**
     * @Rest\View()
     */
    public function cgetAction()
    {
        $heros = $this->heroRepository->findAll();
        return $this->view($heros, Response::HTTP_OK);
    }
}
